[rspec-users] Newbie question

Pito Salas rps at salas.com
Tue Nov 27 19:58:52 EST 2007


I installed Rspec and am getting the following failure:

$ sudo gem install rspec
Successfully installed rspec-1.0.8
Installing ri documentation for rspec-1.0.8...
Installing RDoc documentation for rspec-1.0.8...

$ spec -v
RSpec-1.0.8 (r2338) - BDD for Ruby
http://rspec.rubyforge.org/

$ cat acct.rb
describe Account, " when first created" do
   it "should have a balance of $0" do
     ...
   end
end
$ spec acct.rb
/opt/local/lib/ruby/gems/1.8/gems/rspec-1.0.8/lib/spec/runner/ 
behaviour_runner.rb:106:in `load': ./acct.rb:3: syntax error,  
unexpected tDOT3 (SyntaxError)
         from /opt/local/lib/ruby/gems/1.8/gems/rspec-1.0.8/lib/spec/ 
runner/behaviour_runner.rb:106:in `load_specs'
         from /opt/local/lib/ruby/gems/1.8/gems/rspec-1.0.8/lib/spec/ 
runner/behaviour_runner.rb:105:in `each'
         from /opt/local/lib/ruby/gems/1.8/gems/rspec-1.0.8/lib/spec/ 
runner/behaviour_runner.rb:105:in `load_specs'
         from /opt/local/lib/ruby/gems/1.8/gems/rspec-1.0.8/lib/spec/ 
runner/behaviour_runner.rb:49:in `prepare!'
         from /opt/local/lib/ruby/gems/1.8/gems/rspec-1.0.8/lib/spec/ 
runner/behaviour_runner.rb:19:in `run'
         from /opt/local/lib/ruby/gems/1.8/gems/rspec-1.0.8/lib/spec/ 
runner/command_line.rb:17:in `run'
         from /opt/local/lib/ruby/gems/1.8/gems/rspec-1.0.8/bin/spec:3
         from /opt/local/bin/spec:16:in `load'
         from /opt/local/bin/spec:16

Must be a version or other config problem. Can anyone point me in the  
right direction?

Thanks,

Pito




More information about the rspec-users mailing list